Bug 964761 - gypsy_time_new segfaults
gypsy_time_new segfaults
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gypsy (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 12:29 EDT by Thomas Sailer
Modified: 2013-05-28 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: gypsy-0.9-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 20:50:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2013-05-19 12:29:31 EDT
Description of problem:
Calling gypsy_time_new results in a segfault

(gdb) bt
#0  g_type_check_instance_cast (type_instance=0x7ffff7ffdd40, 
    iface_type=iface_type@entry=80) at gtype.c:3997
#1  0x0000003deb404e86 in constructor (type=<optimized out>, 
    n_construct_properties=1, construct_properties=0x17b3e90)
    at gypsy-time.c:218
#2  0x0000003de9816001 in g_object_newv (object_type=object_type@entry=
    24853744, n_parameters=n_parameters@entry=1, parameters=parameters@entry=
    0xc8c7c0) at gobject.c:1718
#3  0x0000003de98167f0 in g_object_new_valist (object_type=object_type@entry=
    24853744, first_property_name=first_property_name@entry=
    0x3deb405155 "object-path", var_args=var_args@entry=0x7ffffffdb918)
    at gobject.c:1835
#4  0x0000003de9816b24 in g_object_new (object_type=24853744, 
    first_property_name=0x3deb405155 "object-path") at gobject.c:1550


Version-Release number of selected component (if applicable):
gypsy-0.8-6.fc17.x86_64

How reproducible:
always

Additional info:
0.9 is out. 0.9 fixes this problem, see http://sailer.fedorapeople.org/gypsy-0.9-1.fc18.src.rpm. 0.9 also fixes the security vulnerability that it no longer allows any user to open arbitrary files (it now has a config file and a list of allowed device names).

The relevant diff should be:
$ git diff -u 0.8 gypsy/gypsy-time.*
diff --git a/gypsy/gypsy-time.c b/gypsy/gypsy-time.c
index a7ce33d..1060308 100644
--- a/gypsy/gypsy-time.c
+++ b/gypsy/gypsy-time.c
@@ -160,6 +160,7 @@ get_property (GObject    *object,
        priv = GET_PRIVATE (object);
        switch (prop_id) {
        case PROP_PATH:
+               g_value_set_string (value, priv->object_path);
                break;
 
        default:
@@ -213,7 +214,7 @@ constructor (GType                  type,
                                     G_CALLBACK (time_changed),
                                     gps_time, NULL);
 
-       return G_OBJECT (time);
+       return G_OBJECT (gps_time);
 }
 
 static void
Comment 1 Peter Robinson 2013-05-19 12:36:17 EDT
Sorry, I somehow missed that release, will push it now. Thanks
Comment 2 Peter Robinson 2013-05-19 13:39:33 EDT
Needed a patch for g_type_init to build in F-18+ in koji but now pushed and building. Update incoming shortly
Comment 3 Fedora Update System 2013-05-19 14:06:57 EDT
gypsy-0.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gypsy-0.9-1.fc18
Comment 4 Fedora Update System 2013-05-19 14:07:20 EDT
gypsy-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gypsy-0.9-1.fc19
Comment 5 Fedora Update System 2013-05-19 14:07:44 EDT
gypsy-0.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gypsy-0.9-1.fc17
Comment 6 Thomas Sailer 2013-05-20 04:16:54 EDT
This update fixes the gypsy_time_new crash for me
Comment 7 Fedora Update System 2013-05-20 16:09:21 EDT
Package gypsy-0.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gypsy-0.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8659/gypsy-0.9-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-05-28 20:50:31 EDT
gypsy-0.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-05-28 20:54:24 EDT
gypsy-0.9-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-05-28 23:02:04 EDT
gypsy-0.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.